<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('daily_accident_histories', function (Blueprint $table) {
            $table->bigInteger('id', true);
            $table->boolean('state')->nullable();
            $table->string('state_fa', 50)->nullable();
            $table->string('message', 300)->nullable();
            $table->integer('subject_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_name', 100)->nullable();
            $table->dateTime('created_at')->nullable();
            $table->dateTime('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('daily_accident_histories');
    }
};
